import { create } from "zustand";
import Cookie from "js-cookie";
import { userState } from "../api";
import toast from "react-hot-toast";

export const useUserStore = create((set) => {
  return {
    user: null,
    setUser: (user: any) => set({ user }),
    fetchUser: async () => {
      const sign = Cookie.get("_sign_web");
      if (!sign) return set({ user: null });
      userState().then((res: any) => {
        const { code, data } = res;
        if (code === 10000) set({ user: data });
      });
    },
    userExit: () => {
      set({ user: null });
      Cookie.remove("_sign_web");
      Cookie.remove("_sign_web.sig");
      toast.success("再见~!");
    },
  };
});
